package com.yinlihupo.enlish.service.domain.mapper;

import com.yinlihupo.enlish.service.domain.dataobject.StudentLessonPlansDO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StudentLessonPlansDOMapper {

    void insert(StudentLessonPlansDO studentLessonPlansDO);

    List<StudentLessonPlansDO> selectStudentLessonPlanList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("name") String name);

    Integer selectStudentPlanTotal();

    Integer finfishStudentPlan(@Param("studentId") Integer studentId, @Param("planId") Integer planId, @Param("count") Integer count, @Param("mastery") double mastery);

    List<StudentLessonPlansDO> selectStudentLessonPlanListByStudentId(@Param("studentId") Integer studentId);
}